<?php

/****************************************************************************************\
 **   @name		EXP Autos  Pro                                                  **
 **   @package          Joomla 1.6                                                      **
 **   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 **   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 **   @link             http://www.feellove.eu                                          **
 **   @license		Commercial License                                              **
 \****************************************************************************************/


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
require_once JPATH_COMPONENT.'/helpers/expimages.php';

class JFormFieldExplogo extends JFormField {

    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    protected $type = 'Explogo';

    /**
     * Method to get the field options.
     *
     * @return	array	The field option objects.
     * @since	1.6
     */
    public function getInput() {
        
        $table_id = (int)$this->form->getValue('id');
        $db		= JFactory::getDbo();
        $query	= $db->getQuery(true);

        $query->select('logo');
        $query->from('#__expautos_expuser');
        $query->where('id = '.$table_id);

        // Get the options.
        $db->setQuery($query);

        $result = $db->loadResult();

        // Check for a database error.
        if ($db->getErrorNum()) {
                JError::raiseWarning(500, $db->getErrorMsg());
        }
        if ($result) {
            $logoimg = '<img src="' . ExpAutosProImages::ImgUrlPatchLogo() . $result . '" />';
            $logoimg .= '';
            $logoimg .='<label id="jform_delete_logo-lbl" for="jform_delete_logo" title="">';
            $logoimg .= JText::_('COM_EXPAUTOSPRO_USER_DELETELOGO_TEXT') ;
            $logoimg .='</label>';
            $logoimg .='<input type="checkbox" name="delete_logo"/>';
            $logoimg .= "";
            $logoimg .= "<input type='hidden' name='logo_name' value='".$result."' />";
        } else {
            $logoimg = '<input type="file" name="logo" id="explogo" value="" style="display:none" />';
            $logoimg .= '<div class="input-append">
                    <input id="explogoCoverphoto" class="input-large" type="text">
                    <a class="btn" onclick="jQuery(\'input[id=explogo]\').click();">'.JText::_('COM_EXPAUTOSPRO_ADM_BROWSE_TEXT').'</a>
                </div>';
            $logoimg .= '<script type="text/javascript">
                    jQuery(\'input[id=explogo]\').change(function() {
                        jQuery(\'#explogoCoverphoto\').val(jQuery(this).val());
                    }); 
                </script>';
        }
        return $logoimg;
    }

}