<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

class ExpautosproControllerExpImport extends JControllerForm {

    public function getModel($name = '', $prefix = '', $config = array('ignore_request' => true)) {
        return parent::getModel($name, $prefix, array('ignore_request' => false));
    }

    public function importxml() {
        //// Check for request forgeries.
        JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
        $user = JFactory::getUser();
        $userId = (int) $user->get('id');
        $expitem = (int) JRequest::getInt('Itemid', 0);
        if ($userId) {
            $uploadfile = JRequest::getVar('expimport', array(), 'files', 'array');
            if (!$uploadfile['name']) {
                JError::raiseWarning(500, JText::_('COM_EXPAUTOSPRO_CSVIMPORT_ERROR_SELECTFILE_TEXT'));
                $this->setRedirect('index.php?option=com_expautospro&view=expimport', $msg);
                return false;
            }

            $model = $this->getModel('expimport');
            if ($model->importxml($uploadfile)) {
                $errors = $model->getError();
                if (!$errors) {
                    $link_user = JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;userid=' . (int) $userId . '&amp;Itemid=' . (int) $expitem);
                    $msg = $this->setMessage(JText::_(JText::sprintf('COM_EXPAUTOSPRO_IMPORTXML_SUCCESS_TEXT', $uploadfile['name'], $link_user)));
                }
            } else {
                $msg = $this->setMessage(JText::_(JText::sprintf('COM_EXPAUTOSPRO_IMPORTXML_ERROR_PROBLEM_TEXT', $model->getError())), 'warning');
            }
            $this->setRedirect('index.php?option=com_expautospro&view=expimport', $msg);
        }
    }

}