<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expdealerdetail/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expdealerdetail', 'default_mobile_jquery');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$document = JFactory::getDocument();
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expdealerdetail/default_mobile_jquery/js/ajaxpost.js');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expdealerdetail/default_mobile_jquery/css/default_mobile_jquery.css');
if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if($expuse_mobmetatag){
    $document->setMetaData( 'viewport', 'width=device-width, initial-scale=1' );
}
JRequest::setVar('expusebootstrap', 0);
$countcolumn = $this->expparams->get('c_admanager_mkpage_column');
$topmoduleposition = $this->expparams->get('c_admanager_dealerdetail_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_dealerdetail_bmpname');
$user = JFactory::getUser();
$expgroup = $this->expgroup;
$expgroupfield = $this->expgroupfield;
$logolink = ExpAutosProExpparams::ImgUrlPatchLogo();
$imglink = ExpAutosProExpparams::ImgUrlPatch();
$user_params = ExpAutosProExpparams::getExpParams('expuser', $this->items['id']);
$linkhome = "index.php/motorcar-com-mm/list";
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitem);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitem);
//print_r($this->items);
//print_r($user_params);
$user = JFactory::getUser();
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<?php if ($this->items): ?>
    <script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
    </script>
    <link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />
    <div data-role="page" id="expdealerdetail">
        <div data-theme="a" data-role="header">
            <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
            <h4>
                <?php echo "<img src='http://motorcar.com.mm/images/logo.jpg'>" //echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_DETAIL_TEXT'); ?>
            </h4>
            <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
        </div>
        <div data-role="content">
            <?php if ($document->countModules('expmobilemenu')): ?>
                <div id="expmobmenu">
                    <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                        <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                    </div>
                </div>
                <div class="expmobclear"></div>
            <?php endif; ?>
            <?php if (count($queue)): ?>
                <div class="ui-body ui-body-b expmobmessage">
                    <?php foreach ($queue as $item) : ?>
                        <p><?php echo $item['message']; ?></p>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            <?php if ($this->expparams->get('c_general_showcontact') || (!$this->expparams->get('c_general_showcontact') && $user->id)): ?>
                <div class="expautos_dealerdetail_topname">
                    <?php if ($this->expparams->get('c_admanager_dealerdetail_showprint')): ?>
                        <?php if (!isset($_GET['print'])) : ?>
                            <span class="exp_autos_pricon">
                                <?php echo JHtml::_('icon.dealerprint_icon', $this->items['userid']); ?>
                            </span>
                        <?php else : ?>
                            <span class="exp_autos_pricon">
                                <?php echo JHtml::_('icon.dealerprint_screen', $this->items['userid']); ?>
                            </span>
                        <?php endif; ?>
                    <?php endif; ?>

                    <ul data-role="listview" data-inset="true" class="expmob_detail">
                        <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_TEXT'); ?></li>

                        <?php if ($expgroupfield->get('c_photo') && $user_params->get('expphoto')): ?>
                            <div class="expuser_img thumbnail">
                                <img src='<?php echo $logolink . $user_params->get('expphoto'); ?>' title="<?php echo $this->items['companyname']; ?>" />
                            </div>
                        <?php endif; ?>

                        <?php if ($expgroupfield->get('c_ulogo') && $this->items['logo']): ?>
                            <li>
                                <?php if ($expgroupfield->get('c_uwebsite') && $this->items['web']): ?>
                                    <a href="http://<?php echo $this->items['web']; ?>" >
                                    <?php endif; ?>
                                    <img src='<?php echo $logolink . $this->items['logo']; ?>' title="<?php echo $this->items['companyname']; ?>" />
                                    <?php if ($expgroupfield->get('c_uwebsite') && $this->items['web']): ?>
                                    </a>
                                <?php endif; ?>
                            </li>
                        <?php endif; ?> 
                        <?php
                        if ($expgroupfield->get('c_username') && $this->items['user_name']):
                            $metaexp[] = $this->items['user_name'];
                            $metakeyexp[] = $this->items['user_name'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_NAME_TEXT'); ?></span>
                                <?php echo $this->items['user_name']; ?>
                                <?php if ($expgroupfield->get('c_lastname') && $this->items['lastname']): ?>
                                    <?php echo $this->items['lastname']; ?>
                                <?php endif; ?>
                            </li>
                        <?php endif; ?>
                        
                        <?php if ($this->expparams->get('c_admanager_dealerdetail_showgroup')): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_GROUP_TEXT'); ?></span>
                                <?php echo $this->expgroup; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_uphone') && $this->items['phone']): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_PHONE_TEXT'); ?></span>
                                <?php echo $this->items['phone']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_ucphone') && $this->items['mobphone']): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_MOBPHONE_TEXT'); ?></span>
                                <?php echo $this->items['mobphone']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_ufax') && $this->items['fax']): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_FAX_TEXT'); ?></span>
                                <?php echo $this->items['fax']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_email') && $this->items['user_email']): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_EMAIL_TEXT'); ?></span>
                                <?php echo $this->items['user_email']; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($expgroupfield->get('c_ucompany') && $this->items['companyname']):
                            $metaexp[] = $this->items['companyname'];
                            $metakeyexp[] = $this->items['companyname'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_COMPANY_TEXT'); ?></span>
                                <?php echo $this->items['companyname']; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($expgroupfield->get('c_ucountry') && $this->items['expuser_country']):
                            $metaexp[] = $this->items['expuser_country'];
                            $metakeyexp[] = $this->items['expuser_country'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_COUNTRY_TEXT'); ?></span>
                                <?php echo $this->items['expuser_country']; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($expgroupfield->get('c_ustate') && $this->items['expuser_state']):
                            $metaexp[] = $this->items['expuser_state'];
                            $metakeyexp[] = $this->items['expuser_state'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STATE_TEXT'); ?></span>
                                <?php echo $this->items['expuser_state']; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($expgroupfield->get('c_ucity') && $this->items['expuser_city']):
                            $metaexp[] = $this->items['expuser_city'];
                            $metakeyexp[] = $this->items['expuser_city'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_CITY_TEXT'); ?></span>
                                <?php echo $this->items['expuser_city']; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($expgroupfield->get('c_ustreet') && $this->items['street']):
                            $metaexp[] = $this->items['street'];
                            $metakeyexp[] = $this->items['street'];
                            ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STREET_TEXT'); ?></span>
                                <?php echo $this->items['street']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_uzip') && $this->items['zipcode']): ?>
                            <li>
                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_ZIPCODE_TEXT'); ?></span>
                                <?php echo $this->items['zipcode']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_uwebsite') && $this->items['web']): ?>
                            <li>
                                <a href="http://<?php echo $this->items['web']; ?>">
                                    <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_WEB_TEXT'); ?></span>
                                    <?php echo $this->items['web']; ?>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if ($expgroupfield->get('c_uinfo') && $this->items['userinfo']): ?>
                            <li>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_DETAIL_OTHERINFOS_TEXT'); ?>
                                <?php echo $this->items['userinfo']; ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($this->expparams->get('c_admanager_dealerdetail_showallads')): ?>
                            <li>
                                <a href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;userid=' . (int) $this->items['userid'] . '&amp;Itemid=' . (int) $expitem); ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_SHOWALLADS_TEXT'); ?></a>
                            </li>
                        <?php endif; ?>
                    </ul>
                    <?php if ($this->expparams->get('c_admanager_dealerdetail_showgmap') && $expuse_gmap): ?>
                        <a href="#popupMap" data-rel="popup" data-position-to="window" data-role="button" data-theme="b" data-inline="true"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GOOGLEMAP_TEXT'); ?></a>
                        <div data-role="popup" id="popupMap" data-overlay-theme="a" data-theme="a" data-corners="false" data-tolerance="15,15">
                            <a href="javascript:void(0);" data-rel="back" data-role="button" data-theme="a" data-icon="delete" data-iconpos="notext" class="ui-btn-right"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>
                            <?php if ($this->items['latitude'] && $this->items['longitude']): ?>
                                <div class="expautospro_clear"></div>
                                <?php
                                $zoom = $this->expparams->get('c_admanager_dealerdetail_zoomdef');
                                $lat = $this->items['latitude'];
                                $long = $this->items['longitude'];
                                $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
                                $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
                                $script = '';
                                $script .= "
                                var explat=$lat;
                                var explong =$long;
                                var expzoom =$zoom;
                                var expclick = 0;
                                var expmapTypeId = google.maps.MapTypeId.ROADMAP;
                                var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
                                var exp_map_canvas = 'exp_mapdealerdetails_canvas';
                                        ";

                                $document->addScriptDeclaration($script);
                                ?>
                                <div id="exp_mapdealerdetails_canvas" style="width: <?php echo $this->expparams->get('c_admanager_dealerdetail_gmapwidth'); ?>px; height: <?php echo $this->expparams->get('c_admanager_dealerdetail_gmapheight'); ?>px;"></div>

                            <?php elseif ($this->items['expuser_country'] && $this->items['expuser_city']): ?>
                                <?php
                                $mapadress = $this->items['expuser_country'] . "+" . $this->items['expuser_city'] . "+" . $this->items['expuser_state'] . "+" . $this->items['street'];
                                ?>
                                <div class="expautospro_clear"></div>
                                <iframe width="<?php echo $this->expparams->get('c_admanager_dealerdetail_gmapwidth'); ?>" height="<?php echo $this->expparams->get('c_admanager_dealerdetail_gmapheight'); ?>" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="http://maps.google.com/maps?f=q&amp;source=s_q&amp;geocode=&amp;q=<?php echo $mapadress; ?>&amp;z=14&amp;output=embed"></iframe>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                    <?php if ($this->expparams->get('c_admanager_dealerdetail_showgcontact')): ?>
                        <a style="margin:0px" href="#expcontactpopup" data-rel="dialog" data-role="button" data-transition="pop" data-inline="true" data-theme="e"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_CONTACT_TEXT'); ?></a>
                    <?php endif; ?>
                <?php else: ?>
                    <?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_DETAIL_ONLYREGISTEREDUSER_TEXT'); ?>
                <?php endif; ?>
            </div>
        <?php else: ?>
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_DETAIL_PROBLEMURL_TEXT'); ?>
        <?php endif; ?>

    </div>

    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($this->expparams->get('c_admanager_dealerdetail_showgcontact')): ?>
    <!-- Start of third page: #expcontactpopup -->
    <div data-role="page" id="expcontactpopup">
        <div style="margin:50px" data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_CONTACT_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">
            <div id="expautos_mail_form">
                <form method="get" action=""> 
                    <div>
                        <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURNAME_TEXT'); ?></strong>
                    </div>
                    <p>
                        <input type="text" name="expsender_name" id="expsender_name" value="" />
                    </p>
                    <div>
                        <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURPHONE_TEXT'); ?></strong>
                    </div>
                    <p>
                        <input type="text" name="expsender_phone" id="expsender_phone" value="" />
                    </p>
                    <div>
                        <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOUREMAIL_TEXT'); ?></strong>
                    </div>	
                    <p>
                        <input type="text" name="expsender_email" id="expsender_email" value="" />
                    </p>
                    <div><strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_MESSAGE_TEXT'); ?></strong></div>
                    <p>
                        <textarea name="expmessage" id="expmessage" rows="4" cols="40"></textarea>
                    </p>
                    <a class="" data-role="button" data-theme="b" href="javascript:void(0);" onClick="ajaxgetpost('<?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_EMAILSUCCESSFULL_TEXT'); ?>')">
                        <i class="icon-envelope"></i>
                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_BUTTONTEXT_TEXT'); ?>
                    </a>
                    <input type="hidden" name="expuserid" id="expuserid" value="<?php echo $this->items['userid']; ?>" />
                </form>
                <img id="expautos_mailimg" src="<?php echo JURI::root(); ?>components/com_expautospro/skins/expdealerdetail/default/images/loader.gif" class="expautos_displaynone"/>
            </div>
            <div id="expautos_post_result" class=""></div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div>
    </div><!-- /content -->
    <div data-role="footer">
        <h4></h4>
    </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>

<?php
/* insert meta */
if (isset($metaexp)) {
    $metaexp = implode(".", $metaexp);
    $this->document->setDescription($metaexp);
}
if (isset($metakeyexp)) {
    $metakeyexp = implode(",", $metakeyexp);
    $this->document->setMetadata('keywords', $metakeyexp);
}
?>

