<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expdetail/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expdetail', 'default_mobile_jquery');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$document = JFactory::getDocument();
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
if ($this->expparams->get('c_admanager_detailpage_showshortlist')) {
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expshortlist.js');
}
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/js/ajaxpost.js');
if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if ($expuse_mobmetatag) {
    $document->setMetaData('viewport', 'width=device-width, initial-scale=1');
}
JRequest::setVar('expusebootstrap', 0);

$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/css/default_mobile_jquery.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/css/photoswipe.css');
$countcolumn = $this->expparams->get('c_admanager_mkpage_column');
$topmoduleposition = $this->expparams->get('c_admanager_detailpage_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_detailpage_bmpname');
$righttopmoduleposition = $this->expparams->get('c_admanager_detailpage_rgtname');
$rightbmoduleposition = $this->expparams->get('c_admanager_detailpage_rgtbtname');
$user = JFactory::getUser();
$imgquery = $this->expimages;
$expcatequipment = $this->expcatequipment;
$expgroupfield = $this->expgroupfield;
$tmblink = ExpAutosProExpparams::ImgUrlPatchThumbs();
$middlelink = ExpAutosProExpparams::ImgUrlPatchMiddle();
$biglink = ExpAutosProExpparams::ImgUrlPatchBig();
$logolink = ExpAutosProExpparams::ImgUrlPatchLogo();
$imglink = ExpAutosProExpparams::ImgUrlPatch();
$metaexp[] = trim($this->items['make_name'] . " " . $this->items['model_name'] . " " . $this->items['specificmodel']);
$metakeyexp[] = trim($this->items['make_name'] . " " . $this->items['model_name'] . " " . $this->items['specificmodel']);
if ($this->items['displacement'] > 0) {
    $metaexp[] = $this->items['displacement'] . JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT');
    $metakeyexp[] = $this->items['displacement'] . JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT');
}
if ($this->items['engine'] > 0) {
    $metaexp[] = $this->items['engine'] . JText::_('COM_EXPAUTOSPRO_KW_TEXT');
    $metakeyexp[] = $this->items['engine'] . JText::_('COM_EXPAUTOSPRO_KW_TEXT');
}
$adparams = '';
if ($this->expparams->get('c_admanager_useparams') && (int) $this->items['id']) {
    $adparams = ExpAutosProExpparams::getExpParams('admanager', $this->items['id']);
    //print_r($adparams->get('addexample2'));
}
$cookiesarray = explode(",", $this->expgetcookie);
//print_r($this->items);
//print_r($expgroupfield);

$exptime = '';
if ($adparams && $adparams->get('exptime')) {
    //$exptime = JText::sprintf(JText::_("COM_EXPAUTOSPRO_DETAIL_PAGE_DAY_TEXT"), $adparams->get('exptime'));
    $exptime = JText::_("COM_EXPAUTOSPRO_DETAIL_PAGE_DAY_" . $adparams->get('exptime'));
}
if ($this->items['bprice']) {
    $price_one = $this->items['bprice'];
    $class_top_price = 'label-important';
} else {
    $price_one = $this->items['price'];
    $class_top_price = 'label-inverse';
}
$price = ExpAutosProExpparams::price_formatdata($price_one, 2);
$price_orig = ExpAutosProExpparams::price_formatdata($this->items['price'], 2);

$imgdealerclass = null;
if ($use_dealer_img) {
    if ($this->items['expuser_ucommercial']) {
        $imgdealerclass = "ucommercial";
    } elseif ($this->items['expuser_utop']) {
        $imgdealerclass = "utop";
    } elseif ($this->items['expuser_uspecial']) {
        $imgdealerclass = "uspecial";
    }
}
//Johnny $linkhome = JRoute::_("index.php?option=com_expautospro&amp;view=categories&amp;id=0&amp;Itemid=" . (int) $expitem);
$linkhome = "index.php/motorcar-com-mm/list";
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitem);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitem);
//$document->addScript(JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/js/klass.min.js');
//$document->addScript(JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/js/code.photoswipe.jquery-3.0.5.min.js');

if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<script src="<?php echo JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/js/klass.min.js'; ?>">
</script>
<script src="<?php echo JURI::root() . 'components/com_expautospro/skins/expdetail/default_mobile_jquery/js/code.photoswipe.jquery-3.0.5.min.js'; ?>">
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />

<?php
$top_text = '';
$top_text .= $this->items['make_name'];
?>
<?php $top_text .= " " . $this->items['model_name']; ?>
<?php if ($this->items['specificmodel']): ?>
    <?php $top_text .= " " . $this->items['specificmodel']; ?>
<?php endif; ?>
<?php if ($this->items['displacement'] > 0): ?>
    <?php $top_text .= " " . $this->items['displacement'] . JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT'); ?>
<?php endif; ?>
<?php if ($this->items['engine'] > 0): ?>
    <?php $top_text .= " " . $this->items['engine'] . JText::_('COM_EXPAUTOSPRO_KW_TEXT'); ?>
<?php endif; ?>

<div data-role="page" id="expdetail_mobile">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
        <h4>
            <?php echo $top_text; ?>
        </h4>
        <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <script type="text/javascript">
            //jQuery version
            jQuery(document).ready(function(){
                var myPhotoSwipe = jQuery("#expgallery a").photoSwipe({ enableMouseWheel: false , enableKeyboard: false });
            });
        </script>

        <?php
        if ($this->items):
            if ($expgroupfield->get('c_ucountry')) {
                $metaexp[] = $this->items['expuser_country'];
                $metakeyexp[] = $this->items['expuser_country'];
            }
            ?>
            <div id="expautospro">
                <div id="expautos_detail">
                    <?php if ($show_icons): ?>
                        <?php if ($this->expparams->get('c_admanager_detailpage_showprint')): ?>
                            <?php if (!isset($_GET['print'])) : ?>
                                <span class="exp_autos_pricon">
                                    <?php echo JHtml::_('icon.print_icon', $this->items['id']); ?>
                                </span>
                            <?php else : ?>
                                <span class="exp_autos_pricon">
                                    <?php echo JHtml::_('icon.print_screen', $this->items['id']); ?>
                                </span>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php if ($this->expparams->get('c_admanager_detailpage_showemail')): ?>
                            <span class="exp_autos_pricon">
                                <?php echo JHtml::_('icon.email_icon', $this->items['id']); ?>
                            </span>
                        <?php endif; ?>
                        <?php if ($this->expparams->get('c_admanager_detailpage_showhtml')): ?>
                            <span class="exp_autos_pricon">
                                <?php echo JHtml::_('icon.html_icon', $this->items['id']); ?>
                            </span>
                        <?php endif; ?>
                        <?php if ($this->expparams->get('c_admanager_detailpage_showrss')): ?>
                            <span class="exp_autos_pricon">
                                <?php echo JHtml::_('icon.rss_icon', $this->items['id']); ?>
                            </span>
                        <?php endif; ?>
                        <span>
                            <?php echo ExpAutosProHelper::load_module_position('expdetailicons', $style = 'none'); ?>
                        </span>
                    <?php endif; ?>
                    <?php if ($this->expparams->get('c_admanager_detailpage_showshortlist')): ?>    
                        <div id="expshortlist<?php echo $this->items['id']; ?>" class="expshortlist_detailpage">
                            <?php if (in_array($this->items['id'], $cookiesarray)): ?>
                                <span title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVEFROM_TEXT'); ?>"><a data-role="button" data-theme="e" data-mini="true" href="javascript:expshortlist(2,<?php echo $this->items['id']; ?>,'<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVED_TEXT'); ?>')"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_REMOVEFROM_TEXT'); ?></a></span>
                            <?php else: ?>
                                <span title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_ADDTO_TEXT'); ?>"><a data-role="button" data-theme="b" data-mini="true" href="javascript:expshortlist(1,<?php echo $this->items['id']; ?>,'<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_SAVED_TEXT'); ?>')"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SHORTLIST_ADDTO_TEXT'); ?></a></span>
                            <?php endif; ?>
                        </div>
                        <div class="expautospro_clear"></div>
                    <?php endif; ?>
                    <div id="expgeneral_detail"  class="expautos_detail_all">
                        <div class="expautos_detail_left">
                            <?php if ($this->items['expreserved'] || $this->items['solid']): ?>
                                <div class="expautos_detail_img_icon">
                                    <?php if ($this->items['expreserved']): ?>
                                        <span class="btn btn-mini btn-info disabled" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT') ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_RESERVED_TEXT') ?></span>
                                    <?php endif; ?>
                                    <?php if ($this->items['solid']): ?>
                                        <span class="btn btn-mini btn-warning disabled" title="<?php echo JText::_('COM_EXPAUTOSPRO_LS_SPECIAL_SOLID_TEXT') ?>"><?php echo JText::_('COM_EXPAUTOSPRO_LS_SPECIAL_SOLID_TEXT') ?></span>
                                    <?php endif; ?>
                                </div>
                                <div class="expautospro_clear"></div>
                            <?php endif; ?>
                            <?php if ($imgquery): ?>
                                <ul id="expgallery" class="thumbnails">
                                    <?php foreach ($imgquery as $img): ?>
                                        <li> 
                                            <a href="<?php echo $middlelink . $img['imgname']; ?>" rel="external" class="thumbnail"> 
                                                <img src="<?php echo $tmblink . $img['imgname']; ?>" title="<?php echo $img['imgdescription']; ?>" /> 
                                            </a> 
                                        </li>
                                    <?php endforeach; ?>
                                </ul>
                            <?php endif; ?>
                            <div class="expautospro_clear"></div>
                            <?php echo ExpAutosProHelper::load_module_position('expdetailimage', $style = 'none'); ?>
                            <div class="expautospro_clear"></div>

                            <ul data-role="listview" data-inset="true" class="expmob_detail">
                                <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_TEXT'); ?></li>
                                
                                <?php if ($this->expcatfields->get('useprice')): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_PRICE_TEXT'); ?></span>
                                        <?php echo $price_orig . $exptime; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['bprice']): ?>
                                    <li>
                                        <span class="expautos_bprice expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_BPRICE_TEXT'); ?></span>
                                        <?php
                                        $price = ExpAutosProExpparams::price_formatdata($this->items['bprice'], 2);
                                        echo $price;
                                        ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['expprice']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_EXPPRICE_TEXT'); ?></span>
                                        <?php
                                        $price = ExpAutosProExpparams::price_formatdata($this->items['expprice'], 2);
                                        echo $price;
                                        ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['vattext']): ?>
                                    <li>
                                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_VATTEXT_TEXT'); ?>
                                    </li>
                                <?php endif; ?>    
                                <?php if ($this->items['cond_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_CONDITION_TEXT'); ?></span>
                                        <?php echo $this->items['cond_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['stocknum']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STOCKNUMBER_TEXT'); ?></span>
                                        <?php echo $this->items['stocknum']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['vincode']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_VINCODE_TEXT'); ?></span>
                                        <?php echo $this->items['vincode']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['mileage']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_MILEAGE_TEXT'); ?></span>
                                        <?php echo $this->items['mileage']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_KM_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['year']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_YEAR_TEXT'); ?></span>
                                        <?php if ($this->items['month']): ?><?php echo $this->items['month']; ?>&#47;<?php endif; ?><?php echo $this->items['year']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['displacement'] > 0): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_ENGINESIZE_TEXT'); ?></span>
                                        <?php echo $this->items['displacement']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['engine'] > 0): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_ENGINE_TEXT'); ?></span>
                                        <?php echo $this->items['engine']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_KW_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['co']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_CO2_TEXT'); ?></span>
                                        <?php echo $this->items['co']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_GKM_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['fuel_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_FUEL_TEXT'); ?></span>
                                        <?php echo $this->items['fuel_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['extcolor_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_EXTCOLOR_TEXT'); ?></span>
                                        <?php echo $this->items['extcolor_name']; ?>
                                        <?php if ($this->items['specificcolor']): ?>
                                            &#40;<?php echo $this->items['specificcolor']; ?>&#41;
                                        <?php endif; ?>
                                        <?php if ($this->items['metalliccolor']): ?>
                                            &#40;<?php echo JText::_('COM_EXPAUTOSPRO_METALLIC_TEXT'); ?>&#41;
                                        <?php endif; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['intcolor_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_INTCOLOR_TEXT'); ?></span>
                                        <?php echo $this->items['intcolor_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['bodytype_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_BODYTYPE_TEXT'); ?></span>
                                        <?php echo $this->items['bodytype_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['trans_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_TRANS_TEXT'); ?></span>
                                        <?php echo $this->items['trans_name']; ?>
                                        <?php if ($this->items['specifictrans']): ?>
                                            &#40;<?php echo $this->items['specifictrans']; ?>&#41;
                                        <?php endif; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['drive_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_DRIVE_TEXT'); ?></span>
                                        <?php echo $this->items['drive_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['doors']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_DOORS_TEXT'); ?></span>
                                        <?php echo $this->items['doors']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['seats']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_SEATS_TEXT'); ?></span>
                                        <?php echo $this->items['seats']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['length']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_LENGHT_TEXT'); ?></span>
                                        <?php echo $this->items['length']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_MILIMETERS_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['width']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_WIDTH_TEXT'); ?></span>
                                        <?php echo $this->items['width']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_MILIMETERS_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['unweight']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_UNWEIGHT_TEXT'); ?></span>
                                        <?php echo $this->items['unweight']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_KG_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['grweight']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_GRWEIGHT_TEXT'); ?></span>
                                        <?php echo $this->items['grweight']; ?>&nbsp;<?php echo JText::_('COM_EXPAUTOSPRO_KG_TEXT'); ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['ef1_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_EXTRAFIELD1_TEXT'); ?></span>
                                        <?php echo $this->items['ef1_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['ef2_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_EXTRAFIELD2_TEXT'); ?></span>
                                        <?php echo $this->items['ef2_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <?php if ($this->items['ef3_name']): ?>
                                    <li>
                                        <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_EXTRAFIELD3_TEXT'); ?></span>
                                        <?php echo $this->items['ef3_name']; ?>
                                    </li>
                                <?php endif; ?>
                                <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_CREATEDATE_TEXT'); ?></span>
                                            <?php echo $this->items['creatdate']; ?>
                                        </li>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_TABLE_ID_TEXT'); ?></span>
                                            <?php echo $this->items['id']; ?>
                                        </li>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_HITS_TEXT'); ?></span>
                                            <?php echo $this->items['hits']; ?>
                                        </li>
                            </ul>

                            <?php if ($this->expcatfields->get('useequipment') && $this->items['equipment'] && $expcatequipment): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_EQUIPMENT_TEXT'); ?></li>
                                    <li>
                                        <table class="exp_autos_equiptable">
                                            <?php
                                            foreach ($expcatequipment as $eqcat) :
                                                $db = JFactory::getDBO();
                                                $query = $db->getQuery(true);
                                                $query->select('id, name');
                                                $query->from('#__expautos_equipment');
                                                $query->where('state=1');
                                                $query->where('catid = ' . (int) $eqcat->id);
                                                $query->where('id IN(' . $this->items['equipment'] . ')');
                                                $query->order('ordering');
                                                $db->setQuery($query);
                                                $equipmentn = $db->loadObjectList();

                                                $c = 0;
                                                $kr = $this->expparams->get('c_general_equipcolumn');
                                                ?>
                                                <tr>
                                                    <td colspan="<?php echo $kr; ?>">
                                                        <?php if ($equipmentn): ?>
                                                            <div class="exp_autos_equipname"><?php echo $eqcat->name; ?></div>
                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                                <?php
                                                for ($i = 0, $n = count($equipmentn); $i < $n; $i++):
                                                    if (($c % $kr) == 0):
                                                        echo '</tr>';
                                                        echo '<tr>';
                                                    endif;
                                                    ?>
                                                    <td class="exp_autos_equip">
                                                        <?php echo "&#45; " . $equipmentn[$i]->name; ?>&nbsp;
                                                    </td>
                                                    <?php
                                                    $c++;
                                                    $metaexp[] = $equipmentn[$i]->name;
                                                    $metakeyexp[] = $equipmentn[$i]->name;
                                                endfor;
                                            endforeach;
                                            ?>
                                        </table>
                                    </li>
                                </ul>
                            <?php endif; ?>
                            <?php if (($this->expcatfields->get('usefconsum') || $this->expcatfields->get('useadacceleration') || $this->expcatfields->get('usemaxspeed') || $this->expcatfields->get('useotherinfo')) && ($this->items['fconsumcity'] || $this->items['fconsumfreeway'] || $this->items['fconsumcombined'] || $this->items['adacceleration'] || $this->items['maxspeed'] || $this->items['otherinfo'])): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_INFO_TEXT'); ?></li>
                                    <?php if ($this->items['fconsumcity']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_FUELINCITY_TEXT'); ?></span>
                                            <?php echo $this->items['fconsumcity'] . JText::_('COM_EXPAUTOSPRO_LTRKM_TEXT'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['fconsumfreeway']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_FUELONFREEWAY_TEXT'); ?></span>
                                            <?php echo $this->items['fconsumfreeway'] . JText::_('COM_EXPAUTOSPRO_LTRKM_TEXT'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['fconsumcombined']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_FUELAVERAGE_TEXT'); ?></span>
                                            <?php echo $this->items['fconsumcombined'] . JText::_('COM_EXPAUTOSPRO_LTRKM_TEXT'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['adacceleration']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ACCELERATION_TEXT'); ?></span>
                                            <?php echo $this->items['adacceleration'] . JText::_('COM_EXPAUTOSPRO_SECUND_S_TEXT'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['maxspeed']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_MAXSPEED_TEXT'); ?></span>
                                            <?php echo $this->items['maxspeed'] . JText::_('COM_EXPAUTOSPRO_KMHOUR_TEXT'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['otherinfo']): ?>
                                        <li>
                                            <span class="expmob_li_big_text"></span>
                                            <?php echo $this->items['otherinfo']; ?>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            <?php endif; ?>
                            <?php if ($seller_info): ?>                            
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_TEXT'); ?></li>
                                    <?php if ($expgroupfield->get('c_ulogo') && $this->items['expuser_logo']): ?>
                                        <li class="expdealer_logo">
                                            <?php if ($expgroupfield->get('c_uwebsite') && $this->items['expuser_web']): ?>
                                                <a href="http://<?php echo $this->items['expuser_web']; ?>" >
                                                <?php endif; ?>
                                                <img src='<?php echo $logolink . $this->items['expuser_logo']; ?>' title="<?php echo $this->items['expuser_companyname']; ?>" class=""/>
                                                <?php if ($expgroupfield->get('c_uwebsite') && $this->items['expuser_web']): ?>
                                                    <h5><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_GOTODEALERWEB_TEXT'); ?></h5>
                                                </a>
                                            <?php endif; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_username') && $this->items['user_name']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_NAME_TEXT'); ?></span>
                                            <?php echo $this->items['user_name']; ?>
                                            <?php if ($expgroupfield->get('c_lastname') && $this->items['expuser_lastname']): ?>
                                                <?php echo $this->items['expuser_lastname']; ?>
                                            <?php endif; ?>
                                        </li>
                                    <?php endif; ?>
                                    
                                    <?php if ($expgroupfield->get('c_uphone') && $this->items['expuser_phone']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_PHONE_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_phone']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ucphone') && $this->items['expuser_mobphone']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_MOBPHONE_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_mobphone']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ufax') && $this->items['expuser_fax']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_FAX_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_fax']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_email') && $this->items['user_email']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_EMAIL_TEXT'); ?></span>
                                            <?php echo $this->items['user_email']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ucompany') && $this->items['expuser_companyname']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_COMPANY_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_companyname']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ucountry') && $this->items['expuser_country']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_COUNTRY_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_country']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ustate') && $this->items['expuser_state']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STATE_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_state']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ucity') && $this->items['expuser_city']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_CITY_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_city']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_ustreet') && $this->items['expuser_street']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STREET_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_street']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_uzip') && $this->items['expuser_zipcode']): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_ZIPCODE_TEXT'); ?></span>
                                            <?php echo $this->items['expuser_zipcode']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($expgroupfield->get('c_uwebsite') && $this->items['expuser_web']): ?>
                                        <li>
                                            <a href="http://<?php echo $this->items['expuser_web']; ?>">
                                                <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_WEB_TEXT'); ?></span>
                                                <?php echo $this->items['expuser_web']; ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_admanager_detailpage_showallads')): ?>
                                        <li>
                                            <a href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=explist&amp;userid=' . (int) $this->items['user'] . '&amp;Itemid=' . (int) $expitem); ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_SHOWALLADS_TEXT'); ?></a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_admanager_detailpage_showmoreinfo')): ?>
                                        <li>
                                            <a href="<?php echo JRoute::_('index.php?option=com_expautospro&amp;view=expdealerdetail&amp;userid=' . (int) $this->items['user'] . '&amp;Itemid=' . (int) $expitem); ?>" rel="external"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_MOREUSERINFO_TEXT'); ?></a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            <?php endif; ?>                       
                            <?php if (($this->expparams->get('c_general_showcontact') || (!$this->expparams->get('c_general_showcontact') && $user->id)) && $this->items['cnt_name']): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_VEHICLELOCATION_TEXT'); ?></li>
                                    <?php if ($this->items['cnt_name'] && $this->expcatfields->get('usecountry')): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_COUNTRY_TEXT'); ?></span>
                                            <?php echo $this->items['cnt_name']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['st_name'] && $this->expcatfields->get('usestate')): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STATE_TEXT'); ?></span>
                                            <?php echo $this->items['st_name']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['ct_name'] && $this->expcatfields->get('usecity')): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_CITY_TEXT'); ?></span>
                                            <?php echo $this->items['ct_name']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['street'] && $this->expcatfields->get('usestreet')): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GENERALINFO_STREET_TEXT'); ?></span>
                                            <?php echo $this->items['street']; ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->items['zipcode'] && $this->expcatfields->get('usezipcode')): ?>
                                        <li>
                                            <span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_ZIPCODE_TEXT'); ?></span>
                                            <?php echo $this->items['zipcode']; ?>
                                        </li>
                                    <?php endif; ?>
                                     
                                        
                                    
                                </ul>
                            <?php endif; ?>
                            <?php if ($adparams && $adparams->get('expfile')): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ATTACHED_FILE_TEXT'); ?></li>
                                    <li><a href="<?php echo ExpAutosProExpparams::FilesUrlPatch() . $adparams->get('expfile'); ?>" target="_blank"><?php echo $adparams->get('expfile'); ?></a></li>
                                </ul>
                            <?php endif; ?>

                            <?php if ($this->expparams->get('c_admanager_useparams') && (int) $this->items['id'] && $adparams->get('addexample1') && $adparams->get('addexample2')): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ADPARAMS_TEXT'); ?></li>

                                    <?php if ($adparams && $adparams->get('addexample1')): ?>
                                        <li>
                                            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ADPARAMS_EXAMPLE1_TEXT'); ?><?php echo $adparams->get('addexample1'); ?>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($adparams && $adparams->get('addexample2')): ?>
                                        <li>
                                            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ADPARAMS_EXAMPLE2_TEXT'); ?><?php echo $adparams->get('addexample2'); ?>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            <?php endif; ?>
                            <?php /*Johnny*/
$document = &JFactory::getDocument();
$renderer = $document->loadRenderer('modules');
$options = array('style'=>'raw');
echo $renderer->render('oehelp1',$options,null);
?>
                            <?php if ($this->items['embedcode']): ?>
                                <script>
                                    function scale( width, height, padding, border ) {
                                        var scrWidth = $( window ).width() - 30,
                                        scrHeight = $( window ).height() - 30,
                                        ifrPadding = 2 * padding,
                                        ifrBorder = 2 * border,
                                        ifrWidth = width + ifrPadding + ifrBorder,
                                        ifrHeight = height + ifrPadding + ifrBorder,
                                        h, w;

                                        if ( ifrWidth < scrWidth && ifrHeight < scrHeight ) {
                                            w = ifrWidth;
                                            h = ifrHeight;
                                        } else if ( ( ifrWidth / scrWidth ) > ( ifrHeight / scrHeight ) ) {
                                            w = scrWidth;
                                            h = ( scrWidth / ifrWidth ) * ifrHeight;
                                        } else {
                                            h = scrHeight;
                                            w = ( scrHeight / ifrHeight ) * ifrWidth;
                                        }

                                        return {
                                            'width': w - ( ifrPadding + ifrBorder ),
                                            'height': h - ( ifrPadding + ifrBorder )
                                        };
                                    };
                                    jQuery( document ).on( "pageinit", function() {
                                        jQuery( "#popupVideo iframe" )
                                        .attr( "width", 0 )
                                        .attr( "height", 0 );
                		  
                                        jQuery( "#popupVideo" ).on({
                                            popupbeforeposition: function() {
                                                var size = scale( 497, 298, 15, 1 ),
                                                w = size.width,
                                                h = size.height;

                                                jQuery( "#popupVideo iframe" )
                                                .attr( "width", w )
                                                .attr( "height", h );
                                            },
                                            popupafterclose: function() {
                                                jQuery( "#popupVideo iframe" )
                                                .attr( "width", 0 )
                                                .attr( "height", 0 );    
                                            }
                                        });
                                    });    
                                </script>
                                <a href="#popupVideo" data-rel="popup" data-position-to="window" data-role="button" data-theme="b" data-inline="true"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_EMBEDCODE_TEXT'); ?></a>			
                                <div data-role="popup" id="popupVideo" data-overlay-theme="a" data-theme="d" data-tolerance="15,15" class="ui-content">
                                    <a href="#" data-rel="back" data-role="button" data-theme="d" data-icon="delete" data-iconpos="notext" class="ui-btn-right"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>
                                    <?php echo $this->items['embedcode']; ?>
                                </div>
                            <?php endif; ?>
                            <?php if ($this->expparams->get('c_admanager_detailpage_showgmap') && $expuse_gmap): ?>
                                <ul data-role="listview" data-inset="true" class="expmob_detail">
                                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GOOGLEMAP_TEXT'); ?></li>

                                    <?php if (($this->items['expuser_latitude'] && $this->items['expuser_longitude']) || ($this->items['latitude'] && $this->items['longitude'])): ?>
                                        <div class="expautospro_clear"></div>
                                        <?php
                                        $zoom = $this->expparams->get('c_admanager_detailpage_gmapzoom');
                                        if ($this->items['latitude'] && $this->items['longitude']) {
                                            $lat = $this->items['latitude'];
                                            $long = $this->items['longitude'];
                                        } else {
                                            $lat = $this->items['expuser_latitude'];
                                            $long = $this->items['expuser_longitude'];
                                        }
                                        $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
                                        $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
                                        $script = '';
                                        $script .= "
                            var explat=$lat;
                            var explong =$long;
                            var expzoom =$zoom;
                            var expclick = 0;
                            var expmapTypeId = google.maps.MapTypeId." . $this->expparams->get('c_general_gmapmaptypeid') . ";
                            var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
                            var exp_map_canvas = 'exp_mapdetails_canvas';
                                    ";

                                        $document->addScriptDeclaration($script);
                                        ?>
                                        <li><div id="exp_mapdetails_canvas" style="height:<?php echo $this->expparams->get('c_admanager_detailpage_gmapheight'); ?>px"></div></li>
                                    <?php elseif (($this->items['expuser_country'] && $this->items['expuser_city']) || ($this->items['cnt_name'] && $this->items['st_name'])): ?>
                                        <?php
                                        if ($this->items['cnt_name']) {
                                            $mapadress = $this->items['cnt_name'] . "+" . $this->items['st_name'] . "+" . $this->items['ct_name'] . "+" . $this->items['street'];
                                        } else {
                                            $mapadress = $this->items['expuser_country'] . "+" . $this->items['expuser_city'] . "+" . $this->items['expuser_state'] . "+" . $this->items['expuser_street'];
                                        }
                                        ?>
                                        <div class="expautospro_clear"></div>
                                        <h3><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_GOOGLEMAP_TEXT'); ?></h3>
                                        <iframe width="<?php echo $this->expparams->get('c_admanager_detailpage_gmapwidth'); ?>" height="<?php echo $this->expparams->get('c_admanager_detailpage_gmapheight'); ?>" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="http://maps.google.com/maps?f=q&amp;source=s_q&amp;geocode=&amp;q=<?php echo $mapadress; ?>&amp;z=14&amp;output=embed"></iframe>
                                    <?php endif; ?>
                                </ul>
                            <?php endif; ?>
                            <?php if ($this->expparams->get('c_admanager_detailpage_showcontactform')): ?>
                                <a href="#expcontactpopup" data-rel="dialog" data-role="button" data-transition="pop" data-inline="true" data-theme="e"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_CONTACT_TEXT'); ?></a>
                            <?php endif; ?>
                            <?php if ($document->countModules('expmobilemortgage')): ?>
                                <a href="#expmortgagepopup" data-rel="dialog" data-role="button" data-transition="pop" data-inline="true" data-theme="d"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_MORTGAGE_MENU_TEXT'); ?></a>
                            <?php endif; ?>

                        </div>
                    </div>
                </div>
                <?php
                $metaexp[] = trim(isset($item->metadesc));
                $metakeyexp[] = trim(isset($item->metakey));
                ?>
            </div>
        </div>

        <div data-theme="a" data-role="footer" data-position="fixed">
            <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
                <div data-role="navbar" data-iconpos="bottom">
                    <ul>
                        <?php if ($document->countModules('expmobilesearch')): ?>
                            <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                        <?php endif; ?>
                        <?php if ($document->countModules('expmobilelogin')): ?>
                            <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            <?php else: ?>
            <?php endif; ?>
        </div>
    <?php else: ?>
        <div class="alert alert-error">
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_PROBLEMURL_TEXT'); ?>
        </div>
    <?php endif; ?>
    <?php
    /* insert meta */
    if ($metaexp) {
        $metaexp = implode(".", $metaexp);
        $this->document->setDescription($metaexp);
    }
    if ($metakeyexp) {
        $metakeyexp = implode(",", $metakeyexp);
        $this->document->setMetadata('keywords', $metakeyexp);
    }
    ?>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($this->expparams->get('c_admanager_detailpage_showcontactform')): ?>
    <!-- Start of third page: #expcontactpopup -->
    <div data-role="page" id="expcontactpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_DETAIL_CONTACT_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <div id="expautos_mail_form">
                    <form method="get" action=""> 
                        <div>
                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURNAME_TEXT'); ?></strong>
                        </div>
                        <p>
                            <input type="text" name="expsender_name" id="expsender_name" value="" />
                        </p>
                        <div>
                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOURPHONE_TEXT'); ?></strong>
                        </div>
                        <p>
                            <input type="text" name="expsender_phone" id="expsender_phone" value="" />
                        </p>
                        <div>
                            <strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_YOUREMAIL_TEXT'); ?></strong>
                        </div>	
                        <p>
                            <input type="text" name="expsender_email" id="expsender_email" value="" />
                        </p>
                        <div><strong><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_MESSAGE_TEXT'); ?></strong></div>
                        <p>
                            <textarea name="expmessage" id="expmessage" rows="4" cols="40"></textarea>
                        </p>
                        <a class="" data-role="button" data-theme="b" href="javascript:void(0);" onClick="ajaxgetpost('<?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_EMAILSUCCESSFULL_TEXT'); ?>')">
                            <i class="icon-envelope icon-white"></i>
                            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_CONTACTSELLER_BUTTONTEXT_TEXT'); ?>
                        </a>
                        <input type="hidden" name="expid" id="expid" value="<?php echo $this->items['id']; ?>" />
                    </form>
                    <img id="expautos_mailimg" src="<?php echo JURI::root(); ?>components/com_expautospro/skins/expdetail/default/images/loader.gif" class="expautos_displaynone"/>
                </div>
                <div id="expautos_post_result" class=""></div>
                <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                    <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
                </a>
            </div>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>

<?php if ($document->countModules('expmobilemortgage')): ?>
    <!-- Start of third page: #expmortgagepopup -->
    <div data-role="page" id="expmortgagepopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_MORTGAGE_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilemortgage', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>

