<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/exppaylevel/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('exppaylevel', 'default_mobile_jquery');

$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$user = JFactory::getUser();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/exppaylevel/default_mobile_jquery/css/default_mobile_jquery.css');

if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if($expuse_mobmetatag){
    $document->setMetaData( 'viewport', 'width=device-width, initial-scale=1' );
}
JRequest::setVar('expusebootstrap', 0);
$topmoduleposition = $this->expparams->get('c_admanager_paylevel_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_paylevel_bmpname');
$value_params = $this->explevelparams;
$usergroupid = '';
if ($user->id) {
    $usergroups = implode(',', $user->groups);
    $usergroupid = ExpAutosProExpparams::getExpgroupid($usergroups);
}
$expitemid = ExpAutosProExpparams::getExpLinkItemid();
$metaexp[] = JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_TEXT');
$metakeyexp[] = JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_TEXT');
$linkhome = JRoute::_("index.php?option=com_expautospro&amp;view=categories&amp;id=0&amp;Itemid=" . (int) $expitemid);
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitemid);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitemid);
//print_r($usergroupid);
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />


<div data-role="page" id="exppaylevel">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
        <h4>
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_TEXT'); ?>
        </h4>
        <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <div id="expdealerpay">
            <?php
            foreach ($this->items as $item):
                $value_params->loadString($item->params);
                if ($usergroupid == $item->id) {
                    $ulclass = " " . $value_params->get('p_pstylecss', 'well');
                } else {
                    $ulclass = " " . $value_params->get('p_pstylecss', 'well');
                }
                $metaexp[] = $item->group_title;
                $metakeyexp[] = $item->group_title;
                //print_r($value_params);
                ?>
                <ul data-role="listview" data-inset="true" class="expmob_list">
                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_GROUPNAME_TEXT'); ?><?php echo $item->group_title; ?></li>

                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_ADSCOUNT_TEXT'); ?></span>
                        <?php echo $this->expunlimited_text($value_params->get('g_adscount')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_IMGCOUNT_TEXT'); ?></span>
                        <?php echo $this->expunlimited_text($value_params->get('g_imgcount')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_PUBLISHED_TEXT'); ?></span>
                        <?php echo $this->exppublished_text($value_params->get('g_published')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWUSERNAME_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_username')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWLASTNAME_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_lastname')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWCOMPANY_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ucompany')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWPHONE_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_uphone')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWMOBPHONE_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ucphone')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWFAX_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ufax')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWEMAIL_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_email')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWCOUNTRY_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ucountry')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWSTATE_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ustate')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWCITY_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ucity')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWSTREET_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ustreet')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWZIPCODE_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_uzip')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWWEBSITE_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_uwebsite')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWLOGO_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_ulogo')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWPHOTO_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_photo')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_UPLOAD_DOC_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('g_enablefile')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SHOWOTHERINFO_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('c_uinfo')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_IMPORTXML_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('g_expimport')); ?></li>
                    <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_EXPORT_TEXT'); ?></span>
                        <?php echo $this->expyesno_text($value_params->get('g_expexport')); ?></li>
                    <?php if ($value_params->get('p_pshowpricead')): ?>
                        <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_ADPRICE_TEXT'); ?></span>
                            <?php echo $this->expfree_text($value_params->get('p_ppricead')); ?></li>
                    <?php endif; ?>
                    <?php if ($value_params->get('p_pshowpricespecial')): ?>
                        <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_TOPADSPRICE_TEXT'); ?></span>
                            <?php echo $this->expfree_text($value_params->get('p_ppricetop')); ?></li>
                        <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_COMMERCIALADSPRICE_TEXT'); ?></span>
                            <?php echo $this->expfree_text($value_params->get('p_ppricecommercial')); ?></li>
                        <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_SPECIALADSPRICE_TEXT'); ?></span>
                            <?php echo $this->expfree_text($value_params->get('p_ppricespecial')); ?></li>
                        <?php
                        if (file_exists(JPATH_ROOT . '/administrator/components/com_expgroups/helpers/expgroups.php')):
                            require_once JPATH_ROOT . '/administrator/components/com_expgroups/helpers/expgroups.php';
                            ?>
                            <?php if (EXPGroupsHelper::expgroup_member($item->userlevel)): ?>
                                <li><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_PAYLEVEL_MEMBERSHIPPERIOD_TEXT'); ?></span>
                                    <?php echo EXPGroupsHelper::expgroup_member($item->userlevel); ?> <?php echo JText::_('COM_EXPAUTOSPRO_DAYS_TEXT'); ?></li>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                    <li data-theme="b"><span class="expmob_li_text"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_LEVELPRICE_TEXT'); ?></span>
                        <?php echo $this->expfree_text($value_params->get('p_plevel')); ?></li>
                    <?php if ($user->id): ?>
                        <?php if ($value_params->get('p_plevel') && $usergroupid != $item->id): ?>
                            <li data-theme="d"><center>
                                <?php
                                $expmodparam = array('price' => $value_params->get('p_plevel'), 'curcode' => $value_params->get('p_pcurrency'), 'itemnumber' => $value_params->get('p_plevelitemnum'), 'groupname' => $item->group_title, 'userid' => $user->id, 'groupid' => $item->userlevel, 'item_special' => '5', 'itm_id' => $item->userlevel);
                                echo ExpAutosProHelper::load_module_position('explevelpayment', $style = 'none', $expmodparam);
                                ?>
                            </center></li>
                        <?php endif; ?>

                    <?php else: ?>
                        <?php if ($value_params->get('p_plevel')): ?>
                            <li data-theme="e">
                                <?php if ($document->countModules('expmobilelogin')): ?>
                                    <a href="#exploginpopup" data-rel="dialog" data-transition="pop">
                                    <?php else: ?>
                                        <a href="<?php echo JRoute::_('index.php?option=com_users&view=login'); ?>">
                                        <?php endif; ?>
                                        <?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_FORPAYMENT_MENU_TEXT'); ?>
                                    </a>
                            </li>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if ($usergroupid == $item->id): ?>
                        <li data-theme="e">
                            <h3 class="expmobcenter"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_PAYMENT_YOURLEVEL_TEXT'); ?></h3>
                        </li>
                    <?php endif; ?>
                </ul>
            <?php endforeach; ?>
        </div>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php
/* insert meta */
if ($metaexp) {
    $metaexp = implode(".", $metaexp);
    $this->document->setDescription($metaexp);
}
if ($metakeyexp) {
    $metakeyexp = implode(",", $metakeyexp);
    $this->document->setMetadata('keywords', $metakeyexp);
}
?>

