<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');
jimport('joomla.html.html.tabs');
require_once JPATH_COMPONENT . '/helpers/helper.php';
require_once JPATH_COMPONENT . '/helpers/icon.php';

class ExpAutosProViewExpImport extends JViewLegacy {

    public function display($tpl = null) {
        $expparams = $this->get('Expparams');
        $this->assignRef('expparams', $expparams);
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode("\n", $errors));
            return false;
        }

        $this->_showXMLDocument();
    }

    protected function _showXMLDocument() {
        ?>
        <script type="text/javascript">
            function ExpSelectAll(id)
            {
                document.getElementById(id).focus();
                document.getElementById(id).select();
            }
        </script>
        <?php
        $user = JFactory::getUser();
        ?>
        <div class=""><?php echo JText::_('COM_EXPAUTOSPRO_IMPORTXML_SHOWXML_TEXT'); ?></div>
        <textarea cols="70" rows="20" id="txtarea" class="input-large" onClick="ExpSelectAll('txtarea');">
            <?xml version = "1.0" encoding = "UTF-8"?>
            <expautospro>
              <general>
                <catid>New Cars</catid>
                <make>Audi</make>
                <model>A6</model>
                <specificmodel>525i</specificmodel>
                <condition>new</condition>
                <bodytype>Sedans</bodytype>
                <drive>front-wheel</drive>
                <fuel>Gas</fuel>
                <trans>manual</trans>
                <specifictrans>Tiptronic</specifictrans>
                <extcolor>blue</extcolor>
                <intcolor>blue</intcolor>
                <doors>4</doors>
                <seats>5</seats>
                <engine>230</engine>
                <displacement>2.5</displacement>
                <metalliccolor>1</metalliccolor>
                <specificcolor></specificcolor>
                <fconsumcity>12</fconsumcity>
                <fconsumfreeway>9</fconsumfreeway>
                <fconsumcombined>11</fconsumcombined>
                <adacceleration>12</adacceleration>
                <maxspeed>280</maxspeed>
                <co></co>
                <equipment>ABS,Additional STOP lamp, Angel eyes,test,test2</equipment>
                <year>2005</year>
                <month>4</month>
                <vincode>WBFF7887686787</vincode>
                <mileage>230000</mileage>
                <price>12000</price>
                <bprice>11500</bprice>
                <expprice>0</expprice>
                <vattext>yes</vattext>
                <embedcode><![CDATA[<iframe width="560" height="315" src="http://www.youtube.com/embed/DvqyNrRnaWI" frameborder="0" allowfullscreen></iframe>]]></embedcode>
                <otherinfo><![CDATA[Your text here]]></otherinfo>
                <extrafield1></extrafield1>
                <extrafield2></extrafield2>
                <extrafield3></extrafield3>
                <stocknum>868767</stocknum>
                <country>Estonia</country>
                <expstate>Harju</expstate>
                <city>Tallinn</city>
                <street>Mustamae 12</street>
                <latitude>53.803705225938515</latitude>
                <longitude>-1.5487385506133933</longitude>
                <zipcode>LS1 3HQ</zipcode>
                <unweight>0</unweight>
                <grweight>0</grweight>
                <length>0</length>
                <width>0</width>
                <?php if ($this->expparams->get('c_admanager_importxml_enableimg', 1) && $this->expparams->get('c_admanager_importxml_enableimgurl', 0)): ?>
                <images>
                  <img>
                    <name>http://www.feellove.eu/expautospro/images/sampledata/carsnews/corvette-indy-pace-car.jpg</name>
                    <ordering>1</ordering>
                    <description><![CDATA[Your description text here]]></description>
                  </img>
                  <img>
                    <name>http://www.feellove.eu/expautospro/images/sampledata/carsnews/2013-Cadillac-ATS.jpg</name>
                    <ordering>2</ordering>
                    <description><![CDATA[Your description text here]]></description>
                  </img>
                </images>
                <?php endif; ?>
              </general>
            </expautospro>
        </textarea>
        <?php
    }

}
