<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_menu
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;
// Note. It is important to remove spaces between elements.
?>
<?php if($module->position == 'expmobilemenu'):?>
<?php
foreach ($list as $i => &$item) :
	
	echo '<li>';

        $title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
        $linktype = $item->title;
        $icon_class = '';
        if($item->params->get('expmegamenuicon')){
            $icon_class = $item->params->get('expmegamenuicon');
        }elseif(!$item->params->get('expmegamenuicon')){
            $icon_class = 'icon-chevron-right';
        }
        echo '<a href="'.$item->flink.'" '.$title.' rel="external"><i class="'.$icon_class.'"></i> '.$linktype.'</a>';
	
		echo '</li>';
endforeach;
?>              
<?php else:?>
<ul class="nav menu<?php echo $class_sfx;?>"<?php
	$tag = '';
	if ($params->get('tag_id')!=NULL) {
		$tag = $params->get('tag_id').'';
		echo ' id="'.$tag.'"';
	}
?>>
<?php
foreach ($list as $i => &$item) :
	$class = 'item-'.$item->id;
	if ($item->id == $active_id) {
		$class .= ' current';
	}

	if (in_array($item->id, $path)) {
		$class .= ' active';
	}
	elseif ($item->type == 'alias') {
		$aliasToId = $item->params->get('aliasoptions');
		if (count($path) > 0 && $aliasToId == $path[count($path)-1]) {
			$class .= ' active';
		}
		elseif (in_array($aliasToId, $path)) {
			$class .= ' alias-parent-active';
		}
	}

	if ($item->deeper) {
		$class .= ' deeper';
	}

	if ($item->parent) {
		$class .= ' parent';
	}

	if (!empty($class)) {
		$class = ' class="'.trim($class) .'"';
	}

	echo '<li'.$class.'>';

	// Render the menu item.
	$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
        $title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
        if ($item->menu_image) {
                        $item->params->get('menu_text', 1 ) ?
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" /><span class="image-title">'.$item->title.'</span> ' :
                        $linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" />';
        }
        else { $linktype = $item->title;
        }
        $icon_class = '';
        if($item->params->get('expmegamenuicon')){
            $icon_class = $item->params->get('expmegamenuicon');
        }elseif(!$item->params->get('expmegamenuicon')){
            $icon_class = 'icon-chevron-right';
        }
        echo '<a '.$class.' href="'.$item->flink.'" '.$title.'><i class="'.$icon_class.'"></i> '.$linktype.'</a>';
	// The next item is deeper.
	if ($item->deeper) {
		echo '<ul>';
	}
	// The next item is shallower.
	elseif ($item->shallower) {
		echo '</li>';
		echo str_repeat('</ul></li>', $item->level_diff);
	}
	// The next item is on the same level.
	else {
		echo '</li>';
	}
endforeach;
?>
</ul>
<?php endif;?>
