<?php
//  @copyright	Copyright (C) 2008 - 2011 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

// No direct access.
defined('_JEXEC') or die;

// Add CSS
$doc =&JFactory::getDocument();
$doc->addStyleSheet($this->baseurl. '/templates/system/css/system.css');
$doc->addStyleSheet($this->baseurl. '/templates/system/css/general.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/reset.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/typography.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/forms.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/modules.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/joomla.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/layout.css');
$doc->addStyleSheet($this->baseurl. '/templates/' .$this->template. '/css/pages.css');
?>


<style type="text/css" media="screen">

/* Select the style */
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $TemplateStyle; ?>.css");/**/

<?php if ($this->countModules('left')) { ?>
/* Left Columns Parameters */
#outer-column-container { border-left-width:<?php echo $layout_leftcol_width ?>px; 	}
#left-column { margin-left: -<?php echo $layout_leftcol_width ?>px; width: <?php echo $layout_leftcol_width ?>px;}
#middle-column .inside { padding-left:10px; }
#inner-column-container { } 		
<?php } ?>	


<?php if ($this->countModules('right')) { ?>
/* Right Column Parameters */
#outer-column-container { border-right-width:<?php echo $layout_rightcol_width ?>px;	}
#right-column { margin-right: -<?php echo $layout_rightcol_width ?>px; width: <?php echo $layout_rightcol_width ?>px;}
#middle-column .inside { padding-right:10px; } 
#inner-column-container { } 
<?php } ?>	

<?php if ($this->countModules('icescroller + breadcrumbs')) { ?>
#footer .modules-wrap {
	padding-top:20px}
<?php } ?>

<?php if ($this->countModules('icecarousel')) { ?>
#bottom {
	border-top:none;
	padding-top:10px}
<?php } ?>


<?php if (!$this->countModules('footer1 + footer2 + footer3 + footer4')) { ?>  
#breadcrumbs {
	margin-bottom:0;
	padding-bottom:0;
	margin-top:0;
	margin-left:5px;
	box-shadow:none;
	border-bottom:none}
<?php } ?>

<?php if ($this->countModules('footer + copyright') or  $this->params->get('icelogo') or $this->params->get('go2top')) { } else { ?>
#footer {
	margin-bottom:40px}
<?php } ?>

</style>	


<!-- Google Fonts -->
<link href='http://fonts.googleapis.com/css?family=Droid+Sans' rel='stylesheet' type='text/css' />


<!--[if lte IE 8]>
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie.css" />
<![endif]-->

<!--[if lte IE 9]>
<style type="text/css" media="screen">
#promo .has-subtitle .moduletable-header h3.mod-title,
#bottom .has-subtitle .moduletable-header h3.mod-title,
.has-subtitle .col-module-header h3.mod-title {
	padding-left:0!important}

#promo .moduletable-header h3.mod-title > span,
#bottom .moduletable-header h3.mod-title > span,
.col-module-header h3.mod-title > span {
	display:none}
</style>	
<![endif]-->
