<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_news
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
if(!function_exists("getItemImage")){
	function getItemImage( $row ) {
		$text = $row->introtext;
		$regex = "/\<img.+src\s*=\s*\"([^\"]*)\"[^\>]*\>/";
		preg_match ($regex, $text, $matches); 
		$images = (count($matches)) ? $matches : array();
		if (count($images)){
			$image = $images[1];
		} else {
			$image = '';
		}
		return $image;
	}
}

if (!$params->get('image')) {
	$item->introtext = preg_replace('/<img[^>]*>/', '', $item->introtext);
}else{
	$image =  getItemImage( $item );
	$item->introtext = preg_replace('/<img[^>]*>/', '', $item->introtext);
}
?>

<?php 
	if(!empty($image)){
	?>
	<img src="<?php echo $image; ?>" alt="" title="<?php echo $item->title;?>"/>
	<?php
	}
?>

<?php if ($params->get('item_title')) : ?>

	<<?php echo $params->get('item_heading'); ?> class="newsflash-title<?php echo $params->get('moduleclass_sfx'); ?>">
	<?php if ($params->get('link_titles') && $item->link != '') : ?>
		<a href="<?php echo $item->link;?>">
			<?php echo $item->title;?></a>
	<?php else : ?>
		<?php echo $item->title; ?>
	<?php endif; ?>
	</<?php echo $params->get('item_heading'); ?>>

<?php endif; ?>


<?php if (!$params->get('intro_only')) :
	echo $item->afterDisplayTitle;
endif; ?>

<?php echo $item->beforeDisplayContent; ?>

<?php echo $item->introtext; ?>

<?php if (isset($item->link) && $item->readmore && $params->get('readmore')) :
	echo '<a class="readmore" href="'.$item->link.'">'.$item->linkText.'</a>';
endif; ?>
