<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
require_once JPATH_COMPONENT . '/helpers/expimages.php';

class JFormFieldExpfolder extends JFormFieldList {

    protected $type = 'Expfolder';

    public function getInput($data = 0) {
        // Initialize variables.
        $options = array();
        //$val_id = $this->form->getValue('c_admanager_fpcat_skin');
        //print_r($this->name);
        $folder_name = $this->element['fname'];
        $enable_select = $this->element['fselect'];
        $mark_skins = ExpAutosProImages::FoldersName($folder_name);
        if($enable_select){
            $options[] = JHTML::_('select.option', 0, JText::_('COM_EXPAUTOSPRO_FIELD_SELECTSKIN_TEXT'));
        }
        foreach ($mark_skins as $skin) {
            $options[] = JHTML::_('select.option', $skin, $skin);
        }
        $return = JHtml::_('select.genericlist', $options, $this->name, '', 'value', 'text', $this->value);
        if ($this->element['expparams']) {
            JHtml::_('behavior.framework');
            JHtml::_('behavior.modal', 'a.modal');

            $link = 'index.php?option=com_expautospro&view=expsource&layout=edit&tmpl=component&skin=';
            $return .= '<input type="button" class="btn" value="' . JText::_('COM_EXPAUTOSPRO_BUTTON_CHANGE_PARAMS_DESC') . '" onclick="jSelectskin(\''.$link.'\',\'' . $this->id . '\',\'' . $this->name . '\',\'' . $folder_name . '\');" />';
        }
        $return .= ' <input type="button" class="btn btn-danger" value="' . JText::_('COM_EXPAUTOSPRO_CONFIG_SKIN_DELETEBUTTON_TEXT') . '" onclick="deleteskin(\'' . $this->id . '\',\'' . $this->name . '\',\'' . $folder_name . '\');return false;" />';
        $return .= '<input type="hidden" id="skinpatch_' . $this->id . '" name="skinpatch[]" value="" />';

        return $return;
    }

}
?>
