<?php

/****************************************************************************************\
 **   @name		EXP Autos  Pro                                                  **
 **   @package          Joomla 1.6                                                      **
 **   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 **   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 **   @link             http://www.feellove.eu                                          **
 **   @license		Commercial License                                              **
 \****************************************************************************************/


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
require_once JPATH_ADMINISTRATOR.'/components/com_expautospro/helpers/expfields.php';

class JFormFieldExpmenustate extends JFormField {

    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    protected $type = 'Expmenustate';

    /**
     * Method to get the field options.
     *
     * @return	array	The field option objects.
     * @since	1.6
     */
    public function getInput($data=0) {
        
        $country_id = '';
        if($this->form->getValue('request'))
            $country_id = $this->form->getValue('request')->country;
        $linkurl = "index.php?option=com_expautospro&view=expadmanagers&format=ajax&state_id=";
        $document = JFactory::getDocument();
        $script = '';
        $script .= "
            function expmenustate(val){
                expchangejq(val,'".$linkurl."','jformrequestcity','1111');
            }";
        $document->addScriptDeclaration($script);
        if(!$country_id){
            $country_id=0;
        }
        $state_id = $this->value;
        $options=ExpAutosProFields::getExpvariables($country_id,'state','name','catid',$state_id,'name','expmenustate(this.value)',$this->name);

        return $options;
    }
    

}
