<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

    JHtml::_('bootstrap.framework');
//JHtml::_('behavior.tooltip');
//JHtml::_('behavior.formvalidation');
//JHtml::_('formbehavior.chosen', 'select');


$document = JFactory::getDocument();
$expusefield = ExpAutosProImages::getCatParams($this->form->getValue('catid'));
$expreqfield = ExpAutosProImages::getExpParams('config', 1);
//print_r($this->name);
$expzoombycst = '';
$expzoombystreet = '';
$expgooglewidth = '';
$expgoogleheight = '';
if ($expusefield->get('usegooglemaps')) {
    if ($this->form->getValue('latitude') && $this->form->getValue('longitude')) {
        $lat = $this->form->getValue('latitude');
        $long = $this->form->getValue('longitude');
        $zoom = $expreqfield->get('c_admanager_add_googlemaps_zoomstreet');
    } else {
        $lat = $expreqfield->get('c_admanager_add_googlemaps_latdef');
        $long = $expreqfield->get('c_admanager_add_googlemaps_longdef');
        $zoom = $expreqfield->get('c_admanager_add_googlemaps_zoomdef');
    }
    $expzoombycst = $expreqfield->get('c_admanager_add_googlemaps_zoomcst');
    $expzoombystreet = $expreqfield->get('c_admanager_add_googlemaps_zoomstreet');
    $expgooglewidth = $expreqfield->get('c_admanager_add_googlemaps_width');
    $expgoogleheight = $expreqfield->get('c_admanager_add_googlemaps_height');

    $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
    $script = '';
    $script .= "
        var explat=$lat;
        var explong =$long;
        var expzoom =$zoom;
        var expzoombycst =$expzoombycst;
        var expzoombystreet =$expzoombystreet;
        var expclick = 1;
        var expmapTypeId = google.maps.MapTypeId." . $expreqfield->get('c_general_gmapmaptypeid') . ";
        var latid = 'jform_latitude';
        var longid = 'jform_longitude';
        var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
        var exp_map_canvas = 'exp_mapadd_canvas';
                ";

    $document->addScriptDeclaration($script);
}
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jquery.validate.min.js"></script>
<script type="text/javascript">
    function change_cat(val){
        document.location.href='index.php?option=com_expautospro&view=expadmanager&layout=edit&id=<?php echo $this->item->id; ?>&expcat='+val;
        //alert("");
    }
    Joomla.submitbutton = function(task){
        if(jQuery('#expautosprocat-form').validate().form() == true || task == 'expadmanager.cancel'){
            Joomla.submitform(task, document.getElementById('expautosprocat-form'));
        }else{
            return false;
        }
    }
</script>
<div id="expadm">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal">
        <ul class="nav nav-tabs" style="display:none;"><li><a></a></li></ul>
        <div class="row-fluid well well-small">  
            <div class="span7">
                <fieldset class="adminform">
                    <legend><?php echo empty($this->item->id) ? JText::_('COM_EXPAUTOSPRO_ADMANAGERS_NEW_TITLE') : JText::sprintf('COM_EXPAUTOSPRO_ADMANAGERS_EDIT_TITLE', $this->item->id); ?></legend>
                    <div class="control-group">
                        <label class="control-label" for="catid"><?php echo $this->form->getLabel('catid'); ?></label>
                        <div class="controls expadm_top">
                            <?php echo $this->form->getInput('catid'); ?></div>
                    </div>
                </fieldset>
            </div>
            <div class="span5">
                <fieldset class="adminform">
                    <legend>&nbsp;</legend>
                    <div class="control-group">
                        <label class="control-label" for="id"><?php echo $this->form->getLabel('id'); ?></label>
                        <div class="controls expadm_top">
                            <?php echo $this->form->getInput('id'); ?></div>
                    </div>
                </fieldset>
            </div>
        </div>
        <?php if ($this->item->id > 0 || $this->expdata > 0): ?>
            <div class="row-fluid well well-small">  
                <div class="span12">
                    <div class="tabbable">
                        <ul class="nav nav-tabs">
                            <li class="active"><a class="atest" href="#expadmanager_general" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_ADMANAGERS_TAB_GENERAL_TEXT'); ?></a></li>     
                            <?php if ($expreqfield->get('c_admanager_useparams')): ?>
                                <li><a class="atest" href="#expadmanager_params" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_ADM_PARAMETERS_TEXT'); ?></a></li>
                            <?php endif; ?>
                            <?php if ($expusefield->get('useequipment')): ?>
                                <li><a class="atest" href="#expadmanager_equipment" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_ADMANAGERS_TAB_EQUIPMENT_TEXT'); ?></a></li>
                            <?php endif; ?>
                            <li><a class="atest" href="#expadmanager_images" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_ADMANAGERS_TAB_IMAGES_TEXT'); ?></a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="expadmanager_general">
                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('user'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('user'); ?>
                                    </div>
                                </div>
                                <?php
                                if ($expusefield->get('usemakes')):
                                    if ($expreqfield->get('c_admanager_req_makes'))
                                        $this->form->setFieldAttribute('make', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('make'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('make'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usemodels')):
                                    if ($expreqfield->get('c_admanager_req_models'))
                                        $this->form->setFieldAttribute('model', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('model'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('model'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usespecificmodel')):
                                    if ($expreqfield->get('c_admanager_req_specificmodel'))
                                        $this->form->setFieldAttribute('specificmodel', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('specificmodel'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('specificmodel'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usebodytype')):
                                    if ($expreqfield->get('c_admanager_req_bodytype'))
                                        $this->form->setFieldAttribute('bodytype', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('bodytype'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('bodytype'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usedrive')):
                                    if ($expreqfield->get('c_admanager_req_drive'))
                                        $this->form->setFieldAttribute('drive', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('drive'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('drive'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usefuel')):
                                    if ($expreqfield->get('c_admanager_req_fuel'))
                                        $this->form->setFieldAttribute('fuel', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('fuel'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('fuel'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usetrans')):
                                    if ($expreqfield->get('c_admanager_req_trans'))
                                        $this->form->setFieldAttribute('trans', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('trans'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('trans'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usespecifictrans')):
                                    if ($expreqfield->get('c_admanager_req_specifictrans'))
                                        $this->form->setFieldAttribute('specifictrans', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('specifictrans'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('specifictrans'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useextrafield1')):
                                    if ($expreqfield->get('c_admanager_req_extrafield1'))
                                        $this->form->setFieldAttribute('extrafield1', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('extrafield1'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('extrafield1'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useextrafield2')):
                                    if ($expreqfield->get('c_admanager_req_extrafield2'))
                                        $this->form->setFieldAttribute('extrafield2', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('extrafield2'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('extrafield2'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useextrafield3')):
                                    if ($expreqfield->get('c_admanager_req_extrafield3'))
                                        $this->form->setFieldAttribute('extrafield3', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('extrafield3'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('extrafield3'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usecondition')):
                                    if ($expreqfield->get('c_admanager_req_condition'))
                                        $this->form->setFieldAttribute('condition', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('condition'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('condition'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useextcolor')):
                                    if ($expreqfield->get('c_admanager_req_extcolor'))
                                        $this->form->setFieldAttribute('extcolor', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('extcolor'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('extcolor'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usespecificcolor')):
                                    if ($expreqfield->get('c_admanager_req_specificcolor'))
                                        $this->form->setFieldAttribute('specificcolor', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('specificcolor'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('specificcolor'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usemetalliccolor')):
                                    if ($expreqfield->get('c_admanager_req_metalliccolor'))
                                        $this->form->setFieldAttribute('metalliccolor', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('metalliccolor'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('metalliccolor'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useintcolor')):
                                    if ($expreqfield->get('c_admanager_req_intcolor'))
                                        $this->form->setFieldAttribute('intcolor', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('intcolor'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('intcolor'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usemonth')):
                                    if ($expreqfield->get('c_admanager_req_month'))
                                        $this->form->setFieldAttribute('month', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('month'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('month'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useyear')):
                                    if ($expreqfield->get('c_admanager_req_year'))
                                        $this->form->setFieldAttribute('year', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('year'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('year'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usevincode')):
                                    if ($expreqfield->get('c_admanager_req_vincode'))
                                        $this->form->setFieldAttribute('vincode', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('vincode'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('vincode'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usemileage')):
                                    if ($expreqfield->get('c_admanager_req_mileage'))
                                        $this->form->setFieldAttribute('mileage', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('mileage'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('mileage'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usedisplacement')):
                                    if ($expreqfield->get('c_admanager_req_displacement'))
                                        $this->form->setFieldAttribute('displacement', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('displacement'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('displacement'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usedoors')):
                                    if ($expreqfield->get('c_admanager_req_doors'))
                                        $this->form->setFieldAttribute('doors', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('doors'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('doors'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useseats')):
                                    if ($expreqfield->get('c_admanager_req_seats'))
                                        $this->form->setFieldAttribute('seats', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('seats'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('seats'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useengine')):
                                    if ($expreqfield->get('c_admanager_req_engine'))
                                        $this->form->setFieldAttribute('engine', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('engine'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('engine'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useco')):
                                    if ($expreqfield->get('c_admanager_req_co'))
                                        $this->form->setFieldAttribute('co', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('co'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('co'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usestocknum')):
                                    if ($expreqfield->get('c_admanager_req_stocknum'))
                                        $this->form->setFieldAttribute('stocknum', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('stocknum'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('stocknum'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usefconsum')):
                                    if ($expreqfield->get('c_admanager_req_fconsumcity'))
                                        $this->form->setFieldAttribute('fconsumcity', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('fconsumcity'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('fconsumcity'); ?>
                                        </div>
                                    </div>
                                    <?php
                                    if ($expreqfield->get('c_admanager_req_fconsumfreeway'))
                                        $this->form->setFieldAttribute('fconsumfreeway', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('fconsumfreeway'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('fconsumfreeway'); ?>
                                        </div>
                                    </div>
                                    <?php
                                    if ($expreqfield->get('c_admanager_req_fconsumcombined'))
                                        $this->form->setFieldAttribute('fconsumcombined', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('fconsumcombined'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('fconsumcombined'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useadacceleration')):
                                    if ($expreqfield->get('c_admanager_req_adacceleration'))
                                        $this->form->setFieldAttribute('adacceleration', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('adacceleration'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('adacceleration'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usemaxspeed')):
                                    if ($expreqfield->get('c_admanager_req_maxspeed'))
                                        $this->form->setFieldAttribute('maxspeed', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('maxspeed'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('maxspeed'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('uselength')):
                                    if ($expreqfield->get('c_admanager_req_length'))
                                        $this->form->setFieldAttribute('length', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('length'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('length'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usewidth')):
                                    if ($expreqfield->get('c_admanager_req_width'))
                                        $this->form->setFieldAttribute('width', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('width'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('width'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useunweight')):
                                    if ($expreqfield->get('c_admanager_req_unweight'))
                                        $this->form->setFieldAttribute('unweight', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('unweight'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('unweight'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usegrweight')):
                                    if ($expreqfield->get('c_admanager_req_grweight'))
                                        $this->form->setFieldAttribute('grweight', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('grweight'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('grweight'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useembedcode')):
                                    if ($expreqfield->get('c_admanager_req_embedcode'))
                                        $this->form->setFieldAttribute('embedcode', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('embedcode'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('embedcode'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if ($expusefield->get('useotherinfo')): ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('otherinfo'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('otherinfo'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usecountry')):
                                    if ($expreqfield->get('c_admanager_req_country'))
                                        $this->form->setFieldAttribute('country', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('country'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('country'); ?>
                                        </div>
                                    </div>
                                    <?php
                                    if ($expusefield->get('usestate')):
                                        if ($expreqfield->get('c_admanager_req_state'))
                                            $this->form->setFieldAttribute('expstate', 'required', 'true');
                                        ?>
                                        <div class="control-group">
                                            <div class="control-label">
                                                <?php echo $this->form->getLabel('expstate'); ?>
                                            </div>
                                            <div class="controls">
                                                <?php echo $this->form->getInput('expstate'); ?>
                                            </div>
                                        </div>
                                        <?php
                                        if ($expusefield->get('usecity')):
                                            if ($expreqfield->get('c_admanager_req_city'))
                                                $this->form->setFieldAttribute('city', 'required', 'true');
                                            ?>
                                            <div class="control-group">
                                                <div class="control-label">
                                                    <?php echo $this->form->getLabel('city'); ?>
                                                </div>
                                                <div class="controls">
                                                    <?php echo $this->form->getInput('city'); ?>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usestreet')):
                                    if ($expreqfield->get('c_admanager_req_street'))
                                        $this->form->setFieldAttribute('street', 'required', 'true');
                                    if ($expusefield->get('usegooglemaps'))
                                        $this->form->setFieldAttribute('street', 'onchange', 'codeStreet(this.value);return false;');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('street'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('street'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usezipcode')):
                                    if ($expreqfield->get('c_admanager_req_zipcode'))
                                        $this->form->setFieldAttribute('zipcode', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('zipcode'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('zipcode'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usegooglemaps')):
                                    if ($expreqfield->get('c_admanager_add_latlong')) {
                                        $this->form->setFieldAttribute('latitude', 'required', 'true');
                                        $this->form->setFieldAttribute('longitude', 'required', 'true');
                                    }
                                    $this->form->setFieldAttribute('latitude', 'onchange', 'findLangLong();return false;');
                                    $this->form->setFieldAttribute('longitude', 'onchange', 'findLangLong();return false;');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('latitude'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('latitude'); ?>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('longitude'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('longitude'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if ($expreqfield->get('c_admanager_useradd_showgooglemaps')): ?> 
                                    <div class="clr"></div>
                                    <div id="exp_mapadd_canvas" style="width: <?php echo $expgooglewidth; ?>px; height: <?php echo $expgoogleheight; ?>px;"></div>
                                    <div class="clr"></div>
                                    <br />
                                <?php endif; ?>
                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('creatdate'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('creatdate'); ?>
                                    </div>
                                </div>
                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('expirdate'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('expirdate'); ?>
                                    </div>
                                </div>
                                <?php
                                if ($expusefield->get('useprice')):
                                    if ($expreqfield->get('c_admanager_req_price'))
                                        $this->form->setFieldAttribute('price', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('price'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('price'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usebprice')):
                                    if ($expreqfield->get('c_admanager_req_bprice'))
                                        $this->form->setFieldAttribute('bprice', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('bprice'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('bprice'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('useexpprice')):
                                    if ($expreqfield->get('c_admanager_req_expprice'))
                                        $this->form->setFieldAttribute('expprice', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('expprice'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('expprice'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usepricetime')):
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('exptime'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('exptime'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php
                                if ($expusefield->get('usevattext')):
                                    if ($expreqfield->get('c_admanager_req_vattext'))
                                        $this->form->setFieldAttribute('vattext', 'required', 'true');
                                    ?>
                                    <div class="control-group">
                                        <div class="control-label">
                                            <?php echo $this->form->getLabel('vattext'); ?>
                                        </div>
                                        <div class="controls">
                                            <?php echo $this->form->getInput('vattext'); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('expfile'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('expfile'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('hits'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('hits'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('fcommercial'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('fcommercial'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('ftop'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('ftop'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('special'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('special'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('solid'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('solid'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('expreserved'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('expreserved'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('fauction'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('fauction'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('state'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('state'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('access'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('access'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('ordering'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('ordering'); ?>
                                    </div>
                                </div>

                                <div class="control-group">
                                    <div class="control-label">
                                        <?php echo $this->form->getLabel('language'); ?>
                                    </div>
                                    <div class="controls">
                                        <?php echo $this->form->getInput('language'); ?>
                                    </div>
                                </div>


                            </div>



                            <?php if ($expreqfield->get('c_admanager_useparams')): ?>
                                <div class="tab-pane" id="expadmanager_params">
                                    <?php echo $this->loadTemplate('params'); ?>
                                </div>
                            <?php endif; ?>



                            <?php if ($expusefield->get('useequipment')): ?>
                                <div class="tab-pane" id="expadmanager_equipment">
                                    <?php echo $this->form->getInput('equipment'); ?>
                                </div>
                            <?php endif; ?>
                            <div class="tab-pane" id="expadmanager_images">
                                <?php echo $this->form->getInput('expimages'); ?>
                            </div>
                        </div>

                        <div class="clr"></div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
        <div class="clr"></div>
    </form>
</div>
<script type="text/javascript" src="components/com_expautospro/assets/js/jqexpsearch.js"></script>
