<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jquery.validate.min.js"></script>
<script type="text/javascript">
    Joomla.submitbutton = function(task){
        if(jQuery('#expautosprocat-form').validate().form() == true || task == 'expmake.cancel'){
            Joomla.submitform(task, document.getElementById('expautosprocat-form'));
        }else{
            return false;
        }
    }
</script>
<div class="well well-small">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal">
        <div class="row-fluid">  
            <div class="span8">
                <fieldset class="adminform">
                    <legend><?php echo empty($this->item->id) ? JText::_('COM_EXPAUTOSPRO_MAKE_NEW_TITLE') : JText::sprintf('COM_EXPAUTOSPRO_MAKE_EDIT_TITLE', $this->item->id); ?></legend>
                    <div class="control-group">
                        <label class="control-label" for="catid"><?php echo $this->form->getLabel('catid'); ?></label>
                        <div class="controls"><?php echo $this->form->getInput('catid'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('name'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('name'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="alias"><?php echo $this->form->getLabel('alias'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('alias'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="image"><?php echo $this->form->getLabel('image'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('image'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="state"><?php echo $this->form->getLabel('state'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('state'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="ordering"><?php echo $this->form->getLabel('ordering'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('ordering'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="language"><?php echo $this->form->getLabel('language'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('language'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="id"><?php echo $this->form->getLabel('id'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('id'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="description"><?php echo $this->form->getLabel('description'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('description'); ?></div>
                    </div>
                </fieldset>
            </div>
            <div class="span2">
                <fieldset class="adminform">
                    <legend><?php echo JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS'); ?></legend>
                    <?php echo $this->loadTemplate('metadata'); ?>
                    <?php echo $this->loadTemplate('params'); ?>
                    <input type="hidden" name="task" value="" />
                    <?php echo JHtml::_('form.token'); ?>
                </fieldset>
            </div>
        </div>
    </form>
</div>
