<?php
/* * **************************************************************************************\
 * *   @name		EXP Login                                                       **
 * *   @package          Joomla 1.6/1.7/2.5                                              **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2012  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'modules/mod_explogin/css/mod_explogin_mobile_button.css');
?>
<?php
$document = &JFactory::getDocument();
$renderer = $document->loadRenderer('modules');
$options = array('style'=>'raw');
echo $renderer->render('oehelp3',$options,null);
?>
<?php if ($type == 'logout') : ?>
    <div class="btn-group" id="explogout_mob">
        <form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" class="explogin_form">
            <button type="submit" name="Submit" class="button btn btn-warning" value="<?php echo JText::_('JLOGOUT'); ?>" /><i class="icon-user"></i> <?php echo JText::_('JLOGOUT'); ?></button>
            <input type="hidden" name="option" value="com_users" />
            <input type="hidden" name="task" value="user.logout" />
            <input type="hidden" name="return" value="<?php echo $return; ?>" />
            <?php echo JHtml::_('form.token'); ?>
        </form>
    </div>
<?php else : ?>
    <a href="#expmoblogin" role="button" class="btn btn-primary" data-toggle="modal" style="color:#3A3F45">
        <i class="icon-user icon-white"></i> 
        <?php
        if ($type == 'logout') {
            $log_text = JText::_('JLOGOUT');
        } else {
            $log_text = "Login / Register";
        }
        echo $log_text;
        ?>
    </a>
    <div id="expmoblogin" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="expmobloginLabel" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            
        </div>
        <div class="modal-body">
            <div class="expautospro_topmodule_pos_mobile">
                <form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" >
                    <?php if ($params->get('pretext')): ?>
                        <div class="explogin_text <?php echo $params->get('pretext_class'); ?>">
                            <p><?php echo $params->get('pretext'); ?></p>
                        </div>
                    <?php endif; ?>
                    <fieldset class="userdata">
                        <div class="control-group">
                            <label for="modlgn-username"><?php echo JText::_('MOD_LOGIN_VALUE_USERNAME') ?></label>
                            <div class="controls">
                                <div class="input-prepend">
                                    <span class="add-on"><i class="icon-user"></i></span>
                                    <input class="input-block-level" id="modlgn-username" type="text" name="username" class="inputbox" />
                                </div>
                            </div>
                        </div>
                        <div class="control-group">
                            <label for="modlgn-passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
                            <div class="controls">
                                <div class="input-prepend">
                                    <span class="add-on"><i class="icon-lock"></i></span>
                                    <input class="input-block-level" id="modlgn-passwd" type="password" name="password" class="inputbox" />
                                </div>
                            </div>
                        </div>
                        <?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
                            <label for="modlgn-remember" class="checkbox">
                                <input id="modlgn-remember" type="checkbox" name="remember" class="inputbox" value="yes"/><?php echo JText::_('MOD_LOGIN_REMEMBER_ME') ?>
                            </label>
                        <?php endif; ?>

                        <button type="submit" name="Submit" class="button button btn btn-block btn-primary" ><i class="icon-check icon-white"></i> <?php echo JText::_('JLOGIN') ?></button>
                        <input type="hidden" name="option" value="com_users" />
                        <input type="hidden" name="task" value="user.login" />
                        <input type="hidden" name="return" value="<?php echo $return; ?>" />
                        <?php echo JHtml::_('form.token'); ?>
                    </fieldset>
                    <ul class="explogin_link">
                        <li>
                            <a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
                                <i class="icon-lock"></i> <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_PASSWORD'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
                                <i class="icon-user"></i> <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_USERNAME'); ?>
                            </a>
                        </li>
                        <?php
                        $usersConfig = JComponentHelper::getParams('com_users');
                        if ($usersConfig->get('allowUserRegistration')) :
                            ?>
                            <li>
                                <a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
                                    <i class="icon-plus-sign"></i> <?php echo JText::_('MOD_LOGIN_REGISTER'); ?>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php
$document = &JFactory::getDocument();
$renderer = $document->loadRenderer('modules');
$options = array('style'=>'raw');
echo $renderer->render('oehelp2',$options,null);
?>
                    </ul>
                    <?php if ($params->get('posttext')): ?>
                        <div class="explogin_text <?php echo $params->get('posttext_class'); ?>">
                            <p><?php echo $params->get('posttext'); ?></p>
                        </div>
                    <?php endif; ?>
                </form> 
            </div>
        </div>
        <div class="modal-footer">
            <button class="btn btn-block btn-warning" data-dismiss="modal" aria-hidden="true"><?php echo "Close" ?> <i class="icon-remove-circle icon-white"></i></button>
        </div>
    </div>
<?php endif; ?>
